Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » ERROR when downloading Eclipse(Can not download Eclipse anymore)
ERROR when downloading Eclipse [message #1752829] Fri, 27 January 2017 23:18 Go to next message
Ryan Connolly is currently offline Ryan ConnollyFriend
Messages: 1
Registered: January 2017
Junior Member
Hi I recently had downloaded eclipse and I was wondering how to fix it so I could use it for my college course. I had it downloaded correctly, but there was this bug that I was trying to fix so I tried to delete all the eclipse files (I know that was stupid) but I was wondering if you would be able to tell me what is wrong and how to fix. Also I am kind of a beginner with this type of stuff so if you could provide me with a step by step that would be great.

Thanks Ryan Connolly
ps I have I copied in the log to hopefully help you determine the problem

the log:

[2017-01-27 17:13:17] Executing bootstrap tasks
[2017-01-27 17:13:17] Java(TM) SE Runtime Environment 1.8.0_121-b13
[2017-01-27 17:13:17] Product org.eclipse.products.epp.package.java.neon
[2017-01-27 17:13:17] Bundle org.eclipse.oomph.setup 1.6.0.v20161125-0947, build=2790, branch=33010448bcf5775ec23e485876cbb07a0340b9b5
[2017-01-27 17:13:17] Bundle org.eclipse.oomph.setup.core 1.6.0.v20161128-0928, build=2790, branch=33010448bcf5775ec23e485876cbb07a0340b9b5
[2017-01-27 17:13:17] Bundle org.eclipse.oomph.setup.p2 1.6.0.v20161019-0656, build=2790, branch=33010448bcf5775ec23e485876cbb07a0340b9b5
[2017-01-27 17:13:17] Performing P2 Director (Eclipse IDE for Java Developers (Neon))
[2017-01-27 17:13:17] Offline = false
[2017-01-27 17:13:17] Mirrors = true
[2017-01-27 17:13:17] Resolving 23 requirements from 3 repositories to D:\java-neon4\eclipse
[2017-01-27 17:13:17] Requirement epp.package.java [4.6.0,4.7.0)
[2017-01-27 17:13:17] Requirement org.eclipse.platform.feature.group [4.6.0,4.7.0)
[2017-01-27 17:13:17] Requirement org.eclipse.rcp.feature.group [4.6.0,4.7.0)
[2017-01-27 17:13:17] Requirement org.eclipse.buildship.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.egit.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.egit.mylyn.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.jdt.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.jgit.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.m2e.feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.m2e.logback.feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.mylyn.context_feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.mylyn.git.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.mylyn.hudson.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.mylyn.java_feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.mylyn_feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.recommenders.rcp.feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.recommenders.snipmatch.rcp.feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2017-01-27 17:13:17] Requirement org.eclipse.oomph.setup.feature.group
[2017-01-27 17:13:17] Repository http://download.eclipse.org/technology/epp/packages/neon
[2017-01-27 17:13:17] Repository http://download.eclipse.org/releases/neon/201612211000
[2017-01-27 17:13:17] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2017-01-27 17:13:19] Calculating requirements and dependencies.
[2017-01-27 17:13:19] Computing prerequisite plan
[2017-01-27 17:13:20] Collecting 3 artifacts from http://download.eclipse.org/releases/neon/201612211000
[2017-01-27 17:13:20] Downloading org.eclipse.platform_root
[2017-01-27 17:13:20] Downloading org.eclipse.rcp_root
[2017-01-27 17:13:20] Downloading org.eclipse.platform.ide.executable.win32.win32.x86_64
[2017-01-27 17:13:21] Collected 3 artifacts for http://download.eclipse.org/releases/neon/201612211000 in 0.273s
[2017-01-27 17:13:21] Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/neon
[2017-01-27 17:13:21] Downloading epp.package.java.executable.win32.win32.x86_64
[2017-01-27 17:13:21] Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/neon in 0.176s
[2017-01-27 17:13:21] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2017-01-27 17:13:21] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3305)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3233)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3214)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3114)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1271)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$31(SimpleVariablePage.java:1148)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1093)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=D__java-neon4_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
ERROR: org.eclipse.equinox.p2.engine code=0 Error reading signed content.
java.io.IOException: Exception in opening zip file: C:\Users\rjcon\.p2\pool\plugins\org.eclipse.aether.api_1.0.1.v20141111.jar
at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:321)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:212)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:73)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:54)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:50)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:251)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:101)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:47)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:75)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:44)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:42)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:543)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3305)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3233)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3214)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3114)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1271)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$31(SimpleVariablePage.java:1148)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1093)
Caused by: java.io.FileNotFoundException: C:\Users\rjcon\.p2\pool\plugins\org.eclipse.aether.api_1.0.1.v20141111.jar (The system cannot find the file specified)
at java.util.zip.ZipFile.open(Native Method)
at java.util.zip.ZipFile.<init>(ZipFile.java:219)
at java.util.zip.ZipFile.<init>(ZipFile.java:149)
at java.util.zip.ZipFile.<init>(ZipFile.java:163)
at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:304)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:212)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:73)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:54)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:50)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:251)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:101)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:47)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:75)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:44)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:42)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:543)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3305)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3233)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3214)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3114)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1271)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$31(SimpleVariablePage.java:1148)
... 1 more
Re: ERROR when downloading Eclipse [message #1752854 is a reply to message #1752829] Sun, 29 January 2017 15:03 Go to previous messageGo to next message
MONIR ABDULLAH is currently offline MONIR ABDULLAHFriend
Messages: 1
Registered: January 2017
Junior Member
same problem i faced
Re: ERROR when downloading Eclipse [message #1752914 is a reply to message #1752829] Mon, 30 January 2017 15:44 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3752
Registered: July 2009
Senior Member

Can you provide a better step-by-step of what you did, including exactly what you downloaded and what "delete all the eclipse files" means?

Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Help
Next Topic:NEED HELP, files won't compile anymore
Goto Forum:
  


Current Time: Tue Jul 07 15:49:35 GMT 2020

Powered by FUDForum. Page generated in 0.03266 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top